phing

# Class: StreamRequiredBuildLogger Source Location: /listener/StreamRequiredBuildLogger.php
### Interface Overview
    BuildListener
       |
       --BuildLogger
          |
          --StreamRequiredBuildLogger
Interface for build loggers that require that out/err streams be set in order to function. #### Author(s): Hans Lellelid <hans@xmpl.org> #### Version: $Revision: 526 $
### Inherited Methods #### Class: BuildLogger BuildLogger::setErrorStream() Sets the output stream to use for errors. BuildLogger::setMessageOutputLevel() Sets the min log level that this logger should respect. BuildLogger::setOutputStream() Sets the standard output stream to use. #### Class: BuildListener BuildListener::buildFinished() Fired after the last target has finished. BuildListener::buildStarted() Fired before any targets are started. BuildListener::messageLogged() Fired whenever a message is logged. BuildListener::targetFinished() Fired when a target has finished. BuildListener::targetStarted() Fired when a target is started. BuildListener::taskFinished() Fired when a task has finished. BuildListener::taskStarted() Fired when a task is started.
### Class Details [line 37] Interface for build loggers that require that out/err streams be set in order to function. This is just an empty sub-interface to BuildLogger, but is used by Phing to throw graceful errors when classes like phing.listener.DefaultLogger are being used as -listener. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
version: | $Revision: 526 $
see: | Project::addBuildListener()
see: | BuildEvent
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:52:04 +0200 by phpDocumentor 1.4.3